summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Aleksandar Samardzic <asamardzic@matf.bg.ac.yu>2010-05-11 20:00:43 +0200
committer Alan Hicks <alan@lizella.net>2010-05-11 20:00:43 +0200
commit4f469df7d6856a23b53e0773015e64d1d0e39251 (patch)
tree7c88d3d6ffb305f38654c697d4f9a88f63f8fd9f
parent35991ed997bfe37a471c1d3e4b8a8dc2b209ccfc (diff)
downloadslackbuilds-4f469df7d6856a23b53e0773015e64d1d0e39251.tar.gz
slackbuilds-4f469df7d6856a23b53e0773015e64d1d0e39251.tar.xz
libraries/e_dbus: Added to 12.0 repository
-rw-r--r--libraries/e_dbus/README4
-rw-r--r--libraries/e_dbus/e_dbus.SlackBuild58
-rw-r--r--libraries/e_dbus/e_dbus.info8
-rw-r--r--libraries/e_dbus/slack-desc12
4 files changed, 82 insertions, 0 deletions
diff --git a/libraries/e_dbus/README b/libraries/e_dbus/README
new file mode 100644
index 0000000000..dbbe16fb65
--- /dev/null
+++ b/libraries/e_dbus/README
@@ -0,0 +1,4 @@
+E_dbus is part of Enlightenment DR17 foundation libraries.
+
+E_dbus is the start of some basic convenience wrappers around D-Bus to
+ease integrating D-Bus with EFL based applications.
diff --git a/libraries/e_dbus/e_dbus.SlackBuild b/libraries/e_dbus/e_dbus.SlackBuild
new file mode 100644
index 0000000000..d91899e276
--- /dev/null
+++ b/libraries/e_dbus/e_dbus.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# Slackware build script for E_dbus
+
+# Written by Aleksandar B. Samardzic <asamardzic@matf.bg.ac.yu>
+
+PRGNAM=e_dbus
+VERSION=0.1.0.042
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/e_dbus/e_dbus.info b/libraries/e_dbus/e_dbus.info
new file mode 100644
index 0000000000..4f3f2f76ba
--- /dev/null
+++ b/libraries/e_dbus/e_dbus.info
@@ -0,0 +1,8 @@
+PRGNAM="e_dbus"
+VERSION="0.1.0.042"
+HOMEPAGE="http://www.enlightenment.org/"
+DOWNLOAD="http://download.enlightenment.org/snapshots/2008-01-25/e_dbus-0.1.0.042.tar.gz"
+MD5SUM="7909ee490b361b9f4a564c330c8be876"
+MAINTAINER="Aleksandar B. Samardzic"
+EMAIL="asamardzic@matf.bg.ac.yu"
+APPROVED="Alan Hicks,Erik Hanson"
diff --git a/libraries/e_dbus/slack-desc b/libraries/e_dbus/slack-desc
new file mode 100644
index 0000000000..46f01ec2b9
--- /dev/null
+++ b/libraries/e_dbus/slack-desc
@@ -0,0 +1,12 @@
+ |----- Handy ruler ----------------------------------------------|
+e_dbus: E_dbus is one of Enlightenment DR17 foundation libraries.
+e_dbus:
+e_dbus: E_dbus is the start of some basic convenience wrappers around
+e_dbus: D-Bus to ease integrating D-Bus with EFL based applications.
+e_dbus:
+e_dbus: E_dbus home page is: http://www.enlightenment.org/
+e_dbus:
+e_dbus:
+e_dbus:
+e_dbus:
+e_dbus: